%define api_version	2.4
%define realapi		1.4
%define major		1

%define libname			%mklibname %{name} %{api_version} %{major}
%define libnamedev		%mklibname -d %{name} %{api_version}
%define libnamestaticdev	%mklibname -d -s %{name} %{api_version}

%define url_ver %(echo %{version} | cut -d. -f1,2)

Name:		pangomm
Summary:	C++ interface for the pango library
Version:	2.28.4
Release:	%mkrel 3
License:	LGPLv2+
Group:		System/Libraries
URL:		http://gtkmm.org/
Source:		http://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	glibmm2.4-devel >= 2.14.1
BuildRequires:	libpango-devel >= 1.5.2
BuildRequires:	cairomm-devel  >= 1.2.2

%description
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

%package -n %{libname}
Summary:	C++ interface for the pango library
Group:		System/Libraries
Provides:	%{name}%{api_version} = %{version}-%{release}
Conflicts:	%mklibname gtkmm 2.4 < 2.13.5

%description -n %{libname}
Gtkmm provides a C++ interface to the GTK+ GUI library. Gtkmm2 wraps GTK+ 2.
Highlights include typesafe callbacks, widgets extensible via inheritance
and a comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{libnamedev}
Summary:	Headers and development files of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libname} = %{version}
Provides:	%{name}%{api_version}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Conflicts:	%mklibname -d gtkmm 2.4 < 2.13.5

%description -n %{libnamedev}
This package contains the headers and development files that are needed,
when trying to develop or compile applications which need %{name}.

%package -n %{libnamestaticdev}
Summary:	Static libraries of %{name}
Group:		Development/GNOME and GTK+
Requires:	%{libnamedev} = %{version}
Provides:	%{name}-static-devel = %{version}-%{release}
Conflicts:	%mklibname -s -d gtkmm 2.4 < 2.13.5

%description -n %{libnamestaticdev}
This package contains the static libraries of %{name}.

%package doc
Summary:	GTKmm documentation
Group:		Documentation

%description doc
Pangomm provides a C++ interface to the Pango library. Highlights
include typesafe callbacks, widgets extensible via inheritance and a
comprehensive set of widget classes that can be freely combined to
quickly create complex user interfaces.

This package contains all API documentation for pangomm. You can readily read
this documentation with devhelp, a documentation reader.

%prep
%setup -q -n %{name}-%{version}

%build
%configure2_5x --enable-static --enable-shared
%make

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%clean
rm -rf %{buildroot}

%files -n %{libname}
%defattr(-, root, root)
%doc AUTHORS COPYING NEWS README
%{_libdir}/libpangomm-%{realapi}.so.%{major}*

%files -n %{libnamedev}
%defattr(-, root, root)
%doc COPYING ChangeLog
%{_includedir}/*
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_libdir}/pangomm-%{realapi}

%files -n %{libnamestaticdev}
%defattr(-, root, root)
%doc COPYING
%{_libdir}/*.a

%files doc
%defattr(-, root, root)
%doc %{_datadir}/doc/pangomm-%{realapi}
%doc %{_datadir}/devhelp/books/*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 2.28.4-3.mga3
+ Revision: 362383
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Oct 10 2012 shlomif <shlomif> 2.28.4-2.mga3
+ Revision: 304340
- Update to a new group per RPMGroupRevamp

* Fri Oct 28 2011 wally <wally> 2.28.4-1.mga2
+ Revision: 159119
- new version 2.28.4

* Tue Sep 27 2011 wally <wally> 2.28.3-1.mga2
+ Revision: 149419
- new version 2.28.3
- clean .spec a bit

  + fwang <fwang>
    - do not ship .la files

* Fri Apr 15 2011 ahmad <ahmad> 2.28.2-1.mga1
+ Revision: 85615
- update to 2.28.2

* Thu Jan 13 2011 ahmad <ahmad> 2.26.3-3.mga1
+ Revision: 8814
- drop old/unneeded scriptlets
- imported package pangomm

